IR.AddListener(IR.EVENT_START,0,function()
{
   var device = IR.CreateDevice(IR.DEVICE_CUSTOM_STREAM, "name", {FileName:'/sys/class/gpio/gpio34/value'});
   var val = 0;
   IR.AddListener(IR.EVENT_ONLINE, device, function()
   {
      IR.Log("ONLINE");
   });
   
   IR.AddListener(IR.EVENT_OFFLINE, device, function()
   {
      IR.Log("OFFLINE");
   });
   
   IR.AddListener(IR.EVENT_RECEIVE_DATA, device, function(data)
   {
      IR.Log(data);
   });
   
   function Blink()
   {
      val = (val) ? 0 : 1;
      if(device)
         device.Send([val.toString()]);
   }
   
   IR.SetInterval(5000, Blink);
});

